import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:minehunter/cubit/game_cubit.dart';
import 'package:minehunter/models/game/game.dart';

class ToggleGameModeButton extends StatelessWidget {
  const ToggleGameModeButton({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        final String skin = currentGame.globalSettings.skin;
        final String reportModeSuffix = currentGame.reportMode ? 'on' : 'off';

        return TextButton(
          child: Image(
            image: AssetImage('assets/skins/${skin}_button_mark_mine_$reportModeSuffix.png'),
            fit: BoxFit.fill,
          ),
          onPressed: () {
            BlocProvider.of<GameCubit>(context).updateReportMode(!currentGame.reportMode);
          },
        );
      },
    );
  }
}
